## Index

### Interfaces

- CollectionPropertyData
- DatePropertyData
- ModelData
- PropertyData

### Functions

- CollectionProperty
- DateProperty
- GSIPartitionKey
- GSISortKey
- LSISortKey
- Model
- PartitionKey
- PartitionKeyUUID
- Property
- SortKey
- Transient

## Functions

### CollectionProperty

- CollectionProperty<R, T>(opts?: CollectionPropertyData<R, T>): PropertyDecorator

- - Defined in decorator/impl/collection/collection-property.decorator.ts:19

  #### Type parameters

  - #### R

  - #### T: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### Default value opts: CollectionPropertyData<R, T> = {}

  #### Returns PropertyDecorator

### DateProperty

- DateProperty(opts?: Partial<DatePropertyData>): PropertyDecorator

- - Defined in decorator/impl/date/date-property.decorator.ts:9

  #### Parameters

  - ##### Default value opts: Partial<DatePropertyData> = {}

  #### Returns PropertyDecorator

### GSIPartitionKey

- GSIPartitionKey(indexName: string): PropertyDecorator

- - Defined in decorator/impl/index/gsi-partition-key.decorator.ts:10

  decorator to use property as GSI partition key

  #### Parameters

  - ##### indexName: string

  #### Returns PropertyDecorator

### GSISortKey

- GSISortKey(indexName: string): PropertyDecorator

- - Defined in decorator/impl/index/gsi-sort-key.decorator.ts:10

  decorator to use property as GSI sort key

  #### Parameters

  - ##### indexName: string

  #### Returns PropertyDecorator

### LSISortKey

- LSISortKey(indexName: string): PropertyDecorator

- - Defined in decorator/impl/index/lsi-sort-key.decorator.ts:10

  Marks a property as the sort key attribute of a local secondary index (the partition key must be same as in base table)

  #### Parameters

  - ##### indexName: string

  #### Returns PropertyDecorator

### Model

- Model(opts?: ModelData): ClassDecorator

- - Defined in decorator/impl/model/model.decorator.ts:16

  decorator to define a model for dynamo easy

  #### Parameters

  - ##### Default value opts: ModelData = {}

  #### Returns ClassDecorator

### PartitionKey

- PartitionKey(): PropertyDecorator

- - Defined in decorator/impl/key/partition-key.decorator.ts:8

  #### Returns PropertyDecorator

### PartitionKeyUUID

- PartitionKeyUUID(): PropertyDecorator

- - Defined in decorator/impl/key/partition-key-uuid.decorator.ts:6

  #### Returns PropertyDecorator

### Property

- Property(opts?: Partial<PropertyData>): PropertyDecorator

- - Defined in decorator/impl/property/property.decorator.ts:8

  #### Parameters

  - ##### Default value opts: Partial<PropertyData> = {}

  #### Returns PropertyDecorator

### SortKey

- SortKey(): PropertyDecorator

- - Defined in decorator/impl/key/sort-key.decorator.ts:6

  #### Returns PropertyDecorator

### Transient

- Transient(): PropertyDecorator

- - Defined in decorator/impl/transient/transient.decorator.ts:6

  #### Returns PropertyDecorator